PHP Manual
Prev |  | Next

# imagecolorset

(PHP 3, PHP 4, PHP 5)

imagecolorset -- Set the color for the specified palette index

## Description

void imagecolorset ( resource image, int index, int red, int green, int blue )

This sets the specified index in the palette to the specified color. This is useful for creating flood-fill-like effects in palleted images without the overhead of performing the actual flood-fill.

## Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`index`

  An index in the palette

`red`

  Value of red component

`green`

  Value of green component

`blue`

  Value of blue component

## Return Values

No value is returned.

## See Also

imagecolorat()

Prev | Home | Next
imagecolorresolvealpha | Up | imagecolorsforindex